package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.TMobileManager;

import java.util.List;
import java.util.Map;

public interface TMobileManagerService {
	
	/**
	 * 查询移动端列表
	 * @param example
	 * @return
	 */
	List<TMobileManager> queryByExample(Map<String, Object> paramMap);
	
	/**
	 * 根据主键id获取移动端信息
	 * @param id
	 * @return
	 */
	TMobileManager findById(String id);
	
	/**
	 * 新增移动端信息
	 * @param tMobileManager
	 */
	void add(TMobileManager tMobileManager);
	
	/**
	 * 更新移动端信息
	 * @param tMobileManager
	 */
	void update(TMobileManager tMobileManager);
	
	/**
	 * 根据主键删除移动端信息
	 * @param id
	 */
	void remove(String id);
	
	/**
	 * 验证移动端类型是否可用
	 * @param mobileType
	 * @param id
	 * @return
	 */
	boolean validMobileType(String mobileType,String id);
	
}
